package com.app.flutter.mtpl.flutter_test_selfiecapture;
import android.app.Activity;
import android.app.Application;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugin.common.PluginRegistry.Registrar;
/**
 * FlutterTestSelfiecapturePlugin
 */
public class FlutterTestSelfiecapturePlugin implements MethodCallHandler {
    /**
     * Plugin registration.
     */
    Activity context;
    MethodChannel methodChannel;
    public static Result result;
    private PluginRegistry.Registrar registrar;
    private SelfieDelegate delegate;
    public FlutterTestSelfiecapturePlugin(final PluginRegistry.Registrar registrar, final SelfieDelegate delegate) {
        this.registrar = registrar;
        this.delegate = delegate;
    }
    public static void registerWith(Registrar registrar) {
        final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_test_selfiecapture");
        SelfieDelegate delegate =
                new SelfieDelegate(registrar.activity());
        registrar.addActivityResultListener(delegate);
        channel.setMethodCallHandler(new FlutterTestSelfiecapturePlugin(registrar, delegate));
    }
    @Override
    public void onMethodCall(MethodCall call, Result result) {
        if (registrar.activity() == null) {
            result.error("no_activity", "edge_detection plugin requires a foreground activity.", null);
            return;
        }
        else if (call.method.equalsIgnoreCase("getPlatformVersion")) {
            result.success("Android " + android.os.Build.VERSION.RELEASE);
        } else if (call.method.equalsIgnoreCase("detectLiveliness")) {
            this.result = result;
            delegate.detectLivelinesss(call, result);
        } else {
            result.notImplemented();
        }
    }
}
